Udostępnij za pośrednictwem


Alerts - List

Wyświetla listę alertów dla zdefiniowanego zakresu.

GET https://management.azure.com/{scope}/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Parametry identyfikatora URI

Nazwa W Wymagane Typ Opis
scope
path True

string

Zakres skojarzony z operacjami alertów. Obejmuje to ciąg "/subscriptions/{subscriptionId}/" dla zakresu subskrypcji, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}" dla zakresu grupy zasobów, "/providers/Microsoft.Billing/billingAccounts/{billingAccountId}" dla zakresu konta rozliczeniowego i "/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/departments/{departmentId}" dla zakresu działu, "/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/enrollmentAccounts/{ enrollmentAccountId}" dla zakresu EnrollmentAccount, "/providers/Microsoft.Management/managementGroups/{managementGroupId} dla zakresu grupy zarządzania, "/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}" dla zakresu billingProfile, "/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}/invoiceSections/{invoiceSectionId}" dla zakresu invoiceSectionId} i "/providers/Microsoft". Rozliczenia/rozliczeniaKonta/{billingAccountId}/customers/{customerId}' specyficzne dla partnerów.

api-version
query True

string

minLength: 1

Wersja interfejsu API do użycia dla tej operacji.

Odpowiedzi

Nazwa Typ Opis
200 OK

AlertsResult

Operacja platformy Azure została ukończona pomyślnie.

Other Status Codes

ErrorResponse

Nieoczekiwana odpowiedź na błąd.

Zabezpieczenia

azure_auth

Przepływ protokołu OAuth2 usługi Azure Active Directory.

Typ: oauth2
Flow: implicit
Adres URL autoryzacji: https://login.microsoftonline.com/common/oauth2/authorize

Zakresów

Nazwa Opis
user_impersonation personifikacja konta użytkownika

Przykłady

BillingAccountAlerts
BillingProfileAlerts
DepartmentAlerts
EnrollmentAccountAlerts
InvoiceSectionAlerts
ResourceGroupAlerts
SubscriptionAlerts

BillingAccountAlerts

Przykładowe zapytanie

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Przykładowa odpowiedź

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

BillingProfileAlerts

Przykładowe zapytanie

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Przykładowa odpowiedź

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

DepartmentAlerts

Przykładowe zapytanie

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Przykładowa odpowiedź

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

EnrollmentAccountAlerts

Przykładowe zapytanie

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Przykładowa odpowiedź

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

InvoiceSectionAlerts

Przykładowe zapytanie

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Przykładowa odpowiedź

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

ResourceGroupAlerts

Przykładowe zapytanie

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Przykładowa odpowiedź

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

SubscriptionAlerts

Przykładowe zapytanie

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

Przykładowa odpowiedź

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

Definicje

Nazwa Opis
Alert

Pojedynczy alert.

AlertCategory

Kategoria alertów

AlertCriteria

Kryteria wyzwalające alert

AlertOperator

operator używany do porównywania wartości currentSpend z kwotą

AlertPropertiesDefinition

definiuje typ alertu

AlertPropertiesDetails

Szczegóły alertu

AlertSource

Źródło alertu

AlertsResult

Wynik alertów.

AlertStatus

stan alertu

AlertTimeGrainType

Typ cyklu czasowegogrania

AlertType

typ alertu

createdByType

Typ tożsamości, która utworzyła zasób.

ErrorDetails

Szczegóły błędu.

ErrorResponse

Odpowiedź na błąd wskazuje, że usługa nie może przetworzyć przychodzącego żądania. Przyczyna jest podana w komunikacie o błędzie. \n\nNiektóre odpowiedzi błędów: \n\n * 429 TooManyRequests - Żądanie jest ograniczane. Ponów próbę po upływie czasu określonego w nagłówku "x-ms-ratelimit-microsoft.consumption-retry-after". \n\n * 503 UsługaNiedostępna – Usługa jest tymczasowo niedostępna. Ponów próbę po upływie czasu określonego w nagłówku "Ponów próbę po".

systemData

Metadane dotyczące tworzenia i ostatniej modyfikacji zasobu.

Alert

Pojedynczy alert.

Nazwa Typ Opis
eTag

string

Element eTag zasobu. Aby obsłużyć scenariusz aktualizacji współbieżnych, to pole będzie używane do określenia, czy użytkownik aktualizuje najnowszą wersję, czy nie.

id

string (arm-id)

W pełni kwalifikowany identyfikator zasobu dla zasobu. Np. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Nazwa zasobu

properties.closeTime

string

dateTime, w którym alert został zamknięty

properties.costEntityId

string

powiązany budżet

properties.creationTime

string

data/godzina utworzenia alertu

properties.definition

AlertPropertiesDefinition

definiuje typ alertu

properties.description

string

Opis alertu

properties.details

AlertPropertiesDetails

Szczegóły alertu

properties.modificationTime

string

dateTime, w którym alert został ostatnio zmodyfikowany

properties.source

AlertSource

Źródło alertu

properties.status

AlertStatus

stan alertu

properties.statusModificationTime

string

dateTime, w którym stan alertu został ostatnio zmodyfikowany

properties.statusModificationUserName

string

Użytkownik, który ostatnio zmodyfikował alert

systemData

systemData

Metadane usługi Azure Resource Manager zawierające informacje „createdBy” i „modifiedBy”.

type

string

Typ zasobu. Np. "Microsoft.Compute/virtualMachines" lub "Microsoft.Storage/storageAccounts"

AlertCategory

Kategoria alertów

Wartość Opis
Cost
Usage
Billing
System

AlertCriteria

Kryteria wyzwalające alert

Wartość Opis
CostThresholdExceeded
UsageThresholdExceeded
CreditThresholdApproaching
CreditThresholdReached
QuotaThresholdApproaching
QuotaThresholdReached
MultiCurrency
ForecastCostThresholdExceeded
ForecastUsageThresholdExceeded
InvoiceDueDateApproaching
InvoiceDueDateReached
CrossCloudNewDataAvailable
CrossCloudCollectionError
GeneralThresholdError

AlertOperator

operator używany do porównywania wartości currentSpend z kwotą

Wartość Opis
None
EqualTo
GreaterThan
GreaterThanOrEqualTo
LessThan
LessThanOrEqualTo

AlertPropertiesDefinition

definiuje typ alertu

Nazwa Typ Opis
category

AlertCategory

Kategoria alertów

criteria

AlertCriteria

Kryteria wyzwalające alert

type

AlertType

typ alertu

AlertPropertiesDetails

Szczegóły alertu

Nazwa Typ Opis
amount

number (decimal)

kwota progu budżetu

companyName

string

nazwa firmy

contactEmails

string[]

lista wiadomości e-mail do kontaktu

contactGroups

string[]

lista grup akcji do emisji do

contactRoles

string[]

lista ról kontaktów

currentSpend

number (decimal)

bieżące wydatki

departmentName

string

nazwa działu

enrollmentEndDate

string

data/godzina rejestracjiEndDate

enrollmentNumber

string

numer rejestracji

enrollmentStartDate

string

data/godzina rejestracjiStartDate

invoicingThreshold

number (decimal)

próg fakturowania

meterFilter

MeterFilter[]

tablica mierników do filtrowania według

operator

AlertOperator

operator używany do porównywania wartości currentSpend z kwotą

overridingAlert

string

zastępowanie alertu

periodStartDate

string

data/godzina okresuStartDate

resourceFilter

ResourceFilter[]

tablica zasobów do filtrowania według

resourceGroupFilter

ResourceGroupFilter[]

tablica grup zasobów do filtrowania według

tagFilter

tagi do filtrowania według

threshold

number (decimal)

wartość procentowa progu powiadomienia jako liczba dziesiętna, która uaktywniła ten alert

timeGrainType

AlertTimeGrainType

Typ cyklu czasowegogrania

triggeredBy

string

notificationId, który wyzwolił ten alert

unit

string

jednostka używanej waluty

AlertSource

Źródło alertu

Wartość Opis
Preset
User

AlertsResult

Wynik alertów.

Nazwa Typ Opis
nextLink

string

Adres URL umożliwiający uzyskanie następnego zestawu wyników alertów, jeśli istnieją.

value

Alert[]

Lista alertów.

AlertStatus

stan alertu

Wartość Opis
None
Active
Overridden
Resolved
Dismissed

AlertTimeGrainType

Typ cyklu czasowegogrania

Wartość Opis
None
Monthly
Quarterly
Annually
BillingMonth
BillingQuarter
BillingAnnual

AlertType

typ alertu

Wartość Opis
Budget
Invoice
Credit
Quota
General
xCloud
BudgetForecast

createdByType

Typ tożsamości, która utworzyła zasób.

Wartość Opis
User
Application
ManagedIdentity
Key

ErrorDetails

Szczegóły błędu.

Nazwa Typ Opis
code

string

Kod błędu.

message

string

Komunikat o błędzie wskazujący, dlaczego operacja nie powiodła się.

ErrorResponse

Odpowiedź na błąd wskazuje, że usługa nie może przetworzyć przychodzącego żądania. Przyczyna jest podana w komunikacie o błędzie. \n\nNiektóre odpowiedzi błędów: \n\n * 429 TooManyRequests - Żądanie jest ograniczane. Ponów próbę po upływie czasu określonego w nagłówku "x-ms-ratelimit-microsoft.consumption-retry-after". \n\n * 503 UsługaNiedostępna – Usługa jest tymczasowo niedostępna. Ponów próbę po upływie czasu określonego w nagłówku "Ponów próbę po".

Nazwa Typ Opis
error

ErrorDetails

Szczegóły błędu.

systemData

Metadane dotyczące tworzenia i ostatniej modyfikacji zasobu.

Nazwa Typ Opis
createdAt

string (date-time)

Sygnatura czasowa tworzenia zasobu (UTC).

createdBy

string

Tożsamość, która utworzyła zasób.

createdByType

createdByType

Typ tożsamości, która utworzyła zasób.

lastModifiedAt

string (date-time)

Sygnatura czasowa ostatniej modyfikacji zasobu (UTC)

lastModifiedBy

string

Tożsamość, która ostatnio zmodyfikowała zasób.

lastModifiedByType

createdByType

Typ tożsamości, która ostatnio zmodyfikowała zasób.